<?php

/* --------------------------------------------------------------
   SentryErrorHandler.inc.php 2019-02-18
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2018 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/


$configPath = DIR_FS_CATALOG . 'GXModules/Gambio/ErrorReporting/configuration.json';

if(!file_exists($configPath)) {
	return;
}

$sentryConfig = json_decode(file_get_contents($configPath), true);

if (!$sentryConfig['active']) {
	return;
}

include(DIR_FS_CATALOG . 'release_info.php');

$environment = file_exists(DIR_FS_CATALOG . '.dev-environment')
               || strpos($gx_version, 'develop') !== false ? 'development' : 'production';

Sentry\init([
    'dsn' => $sentryConfig['dsn'],
    'environment' => $environment,
    'release' => $gx_version,
    'prefixes' => [DIR_FS_CATALOG, DIR_FS_DOCUMENT_ROOT]
]);
